Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.common
Class Configuration

    java.lang.Object
      com.arjuna.ats.arjuna.common.Configuration

public class Configuration
extends java.lang.Object

This class contains various run-time configuration options. Default values are provided at compile-time, and may be operating system specific.

Since:
  1.0.
Version:
  $Id: Configuration.javatmpl 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`Configuration()`

Method Summary
`static java.lang.String` | `objectStoreRoot()` Used to obtain the root of the object store.
`static java.lang.String` | `propertiesDir()`
`static java.lang.String` | `propertiesFile()`
`static void` | `setAlternativeOrdering(boolean b)` Set whether or not to use the alternative abstract record ordering.
`static void` | `setObjectStoreRoot(java.lang.String s)` Used to set the root of the object store.
`static void` | `setPropertiesFile(java.lang.String file)` Set the name of the properties file.
`static boolean` | `useAlternativeOrdering()` Whether to use the alternative abstract record ordering.
`static java.lang.String` | `version()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configuration

    public Configuration()

Method Detail

### propertiesFile

    public static final java.lang.String propertiesFile()

  Returns:
    the name of the module properties file to use.

### setPropertiesFile

    public static final void setPropertiesFile(java.lang.String file)

  Set the name of the properties file.

### propertiesDir

    public static final java.lang.String propertiesDir()

  Returns:
    the location of the module properties file to use.

### version

    public static final java.lang.String version()

  Returns:
    the version of arjuna.

### objectStoreRoot

    public static final java.lang.String objectStoreRoot()

  Used to obtain the root of the object store.

  Returns:
    `path` to object store.

### setObjectStoreRoot

    public static final void setObjectStoreRoot(java.lang.String s)

  Used to set the root of the object store. Changes will take effect the next time the root is queried. Existing object store instances will not be effected.

### useAlternativeOrdering

    public static final boolean useAlternativeOrdering()

  Whether to use the alternative abstract record ordering. At present this is not fully documented, so stay away!

  Returns:
    `true` if order abstract records on type first, or `false` if order on Uid first.

### setAlternativeOrdering

    public static final void setAlternativeOrdering(boolean b)

  Set whether or not to use the alternative abstract record ordering. Takes effect the next time ordering is required.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD